summaryrefslogtreecommitdiff
path: root/clang-format-diff.sh
diff options
context:
space:
mode:
authorHeejin Ahn <aheejin@gmail.com>2019-04-26 14:42:40 -0700
committerGitHub <noreply@github.com>2019-04-26 14:42:40 -0700
commit87636dccd404a340d75acb1d96301581343f29ca (patch)
treef56ec2ea8e166e5d02018cf7adc1c960dbeba55d /clang-format-diff.sh
parent34dd4c7893056e13cc9174db988d03e438a6af3d (diff)
downloadbinaryen-87636dccd404a340d75acb1d96301581343f29ca.tar.gz
binaryen-87636dccd404a340d75acb1d96301581343f29ca.tar.bz2
binaryen-87636dccd404a340d75acb1d96301581343f29ca.zip
Add clang-format-diff hook (#2057)
This adds a commit hook to Travis CI that errors out if incoming PRs' diffs are not clang-formatted. Turns out clang-format is also capable of formatting JavaScript, but we haven't agreed on a style for JS yet, this PR disables JavaScript formatting for now. This also adds clang-format exempt header/footer to a generated source file.
Diffstat (limited to 'clang-format-diff.sh')
-rwxr-xr-xclang-format-diff.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/clang-format-diff.sh b/clang-format-diff.sh
new file mode 100755
index 000000000..53020e59b
--- /dev/null
+++ b/clang-format-diff.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+MERGE_BASE=$(git merge-base master HEAD)
+FORMAT_MSG=$(git clang-format $MERGE_BASE -q --diff -- src/)
+if [ -n "$FORMAT_MSG" -a "$FORMAT_MSG" != "no modified files to format" ]
+then
+ echo "Run git clang-format before committing!"
+ echo
+ # Run git clang-format once again to show the error
+ git clang-format $MERGE_BASE -q --diff -- src/
+ exit 1
+fi